# Ansible Role Firefly

Ansible role to manage a [Firefly III](https://firefly-iii.org/) instance.

## Installation

Clone the repository in your local Ansible roles directory:

```
git clone https://git.riou.xyz/jriou/ansible-role-firefly.git ~/.ansible/roles/firefly
```

See [Storing and finding
roles](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_reuse_roles.html#storing-and-finding-roles).

## Configuration

See [Variable
precedence](https://docs.ansible.com/ansible/latest/playbook_guide/playbooks_variables.html#ansible-variable-precedence)
to find where you should put your own variables.

Then define at least `firefly_static_cron_token`, `firefly_db_password` and
`firefly_app_key` variables with a strong and secure password, encrypted using
[ansible-vault](https://docs.ansible.com/ansible/latest/cli/ansible-vault.html).

See list of [default variables](defaults/main.yml).


## Usage

Example of a basic firefly.yml playbook:

```yaml
hosts:
  - firefly

roles:
  - firefly
```

Then run the playbook:

```
ansible-playbook firefly.yml
```

## Donate

As we all love FOSS projects, you should consider [sponsoring and/or
contribute](https://github.com/firefly-iii/firefly-iii).
